Bug 288961 - (CVE-2007-4571) CVE-2007-4571 ALSA memory disclosure flaw
CVE-2007-4571 ALSA memory disclosure flaw
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
source=upstream,reported=20070913,imp...
: Security
Depends On: 297741 297751 297761 297771
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-13 04:32 EDT by Mark J. Cox (Product Security)
Modified: 2011-09-28 18:58 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-28 18:58:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (1.34 KB, patch)
2007-09-13 04:33 EDT, Mark J. Cox (Product Security)
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2007-09-13 04:32:05 EDT
iDefense reported a flaw in ALSA snd_mem_proc_read.  A local user who has the
ability to read the /proc/driver/snd-page-alloc file could potentially gain
access to read sensitive information from kernel memory.

CVSS v2 Base score: 2.1  (Low) (AV:L/AC:L/Au:N/C:P/I:N/A:N)

Acknowledgements:

Red Hat would like to credit iDefense and Neil Kettle for reporting this issue.
Comment 2 Mark J. Cox (Product Security) 2007-09-13 04:33:29 EDT
Created attachment 194421 [details]
Proposed patch
Comment 3 Mark J. Cox (Product Security) 2007-09-13 04:40:15 EDT
        Doesn't Affect: rhel-2.1 (no snd_mem_proc_read)
        Doesn't Affect: rhel-3 (no snd_mem_proc_read)
        Probably Affects: rhel-4
        Probably Affects: rhel-5
Comment 5 Mark J. Cox (Product Security) 2007-09-14 05:06:25 EDT
Exploiting this issue will give the user the ability to see a number of
uninitialized bytes, up to 41 bytes, but they have no control over what they see.
Comment 11 Mark J. Cox (Product Security) 2007-09-25 11:53:07 EDT
Now public via
http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=600
removing embargo
Comment 17 Kurt Seifried 2011-09-28 18:58:56 EDT
All children bugs have been closed, parent is no longer needed.

Note You need to log in before you can comment on or make changes to this bug.